.image {
    animation: none;



}

body {
    --profile-size: 12rem;
}

.image {
    position: relative;
}


.warn {
    cursor: pointer;
    position: absolute;
    top: 5%;
    z-index: 5;
    left: 5%;
    font-size: 1.2rem;
    color: var(--danger);
}



.note {
   display: flex;
    padding: 1rem;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 15;
    width: 25rem;
    background-color: var(--card);
    border-radius: 3rem;
    transition: none;
    align-items: center;
    justify-content: space-evenly;
}


.note-close:hover{
    cursor: pointer;
}




.dot {
    cursor: pointer;
    position: absolute;
    top: 10px;
    right: 5px;
    
    z-index: 5;
}

.dot:hover {
    opacity: 60%;
}

.image>.menu {
    z-index: 20;
    border: 1px solid var(--border);
    background-color: rgba(15, 15, 15, 0.8);
    padding: 10px;
    gap: 0.5rem 0;
    position: absolute;
    border-radius: 1rem;
    top: 0;
    left: 0;
    display: flex;
    height: 100%;
    width: 100%;
    list-style: none;
    justify-content: center;
    flex-direction: column;
}


.image>.menu>.img-li {
    gap: 0 0.4rem;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;

}

.dltbtn {
    font-size: 1.3rem;
    border: none;
    color: var(--text-light);
    background-color: transparent;
}

.dltbtn:hover {
    text-decoration: underline;
    cursor: pointer;
}

.image>.menu>li>a {
    text-align: center;
    font-size: 1.5rem;
    display: block;
    cursor: pointer;
    text-decoration: none;
    color: var(--text-light);

    height: 100%;
}

.image>.menu>li>a:hover {
    text-decoration: underline;
}

main {
    width: 100%;
    min-height: 90vh;
    display: flex;
    align-items: center;
    flex-direction: column;
    margin: 1rem 0;

}

.user {
    margin-top: 1rem;


    height: 17rem;
    width: 95%;
    gap: 0 1rem;
  
    display: flex;
    align-items: center;
    justify-content: center;
}

.user-profile {

    height: var(--profile-size);
    width: var(--profile-size);
    display: flex;
    align-items: center;
    justify-content: center;
}

.user-info {

    height: 100%;
    width: calc(100% - var(--profile-size));
    display: flex;

    flex-direction: column;
}

.user-stats {
    gap: 0 0.5rem;
    flex-direction: row;
    display: flex;
}



.user-profile-img {
    object-fit: cover;

    border-radius: 50%;

    user-select: none;
    height: 100%;
    width: 100%;

}



.user-name {
    width: 100%;
    flex-direction: column;
    word-wrap: break-word;
    font-size: 2.5rem;
    color: var(--text);
    display: flex;
    align-items: flex-start;
    justify-content: center;

}

.wall-count {
    background-color: var(--menu);
    border-radius: 1rem;
    border: 1px solid var(--border);
    height: 2.5rem;
    width: 4rem;
    color: var(--text);
    padding: 0 0.2rem;
  
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;
  
}

.user-details {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    width: 100%;
    height: 65%;
    gap: 0.5rem 0;
}

.user-tools {
    display: flex;
    align-items: center;
    gap: 0 0.5rem;
    height: 20%;
    width: 100%;

}

.btn {
    width: 3rem;
    display: flex;
    align-items: center;
    justify-content: center;

    color: var(--text);
    height:3rem;
    background-color: var(--btn);
    border: 1px solid var(--border);
    border-radius: 3px;
}



.logout {

    display: flex;
    align-items: center;
    justify-content: center;
    width: 2rem;
    height: 2rem;
    background-color: var(--btn);
    border: 1px solid var(--border);
    border-radius: 3px;

}

.report-toggle-btn {
    top: 5rem;
    right: 1rem;
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 3rem;
    height: 3rem;
    background-color: var(--btn);
    border: 1px solid var(--border);

    border-radius: 3px;

}

.report-toggle-btn:hover {
    opacity: 70%;
    cursor: pointer;
}


.btn:hover,
.logout:hover {
    /* border: 2px solid var(--color-secondary); */
    background-color: var(--btn-hover);
    cursor: pointer;
}

.logout-img {
    height: 70%;

    width: 70%;
}

.report-img {
    height: 70%;

    width: 70%;
}













.popup {
    position: absolute;

    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 40;
    display: flex;
    flex-direction: column;
    align-items: center;
    border: 2px var(--border);
    height: 12rem;
    border-radius: 5px;
    width: 22rem;
    /* backdrop-filter: blur(10px);
     */
    background-color: var(--card);



}


.popup-warn {

    height: 70%;
    width: 85%;
    display: flex;
    align-items: center;

    color: var(--text);

}

.popup-action {
    padding: 10px;
    display: flex;
    height: 30%;
    width: 100%;
    justify-content: space-evenly;

}

.p-c,
.p-a {
    transition: all 0.2s;
    width: 48%;
    background-color: var(--text);
    color: rgb(0, 0, 0);
    height: 98%;
    border-radius: 3px;
    border: 2px solid rgb(255, 255, 255);


}

.p-c:hover,
.p-a:hover {
    cursor: pointer;
    background-color: transparent;
    color: var(--text);
    border: 2px solid rgb(255, 255, 255);

}





.report {
    transition: none;
    top: 0;
    left: 50%;
    transform: translate(-50%, -50%);
    position: absolute;
    background-color: var(--card);
    border: 1px solid var(--border);
    padding: 15px;
    border-radius: 5px;
    height: 34rem;
    width: 27rem;
    z-index: 20;

}

label {
    color: var(--text);
    cursor: pointer;
}

.report-header {
    height: 7%;
    width: 100%;

    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

}

.report-reason {
    width: 100%;
    gap: 5px 0;
    height: 45%;
    padding: 0 5px;

    display: flex;
    flex-direction: column;
    justify-content: center;
}

.Reason {
    width: 100%;
    height: 30%;
    outline: none;
    background-color: transparent;
    color: var(--text);
    border: 2px solid var(--border);
    padding: 4px;
}

.report-submit {
    margin-top: 5px;
    height: 8%;
    width: 100%;
    background-color: transparent;
    border: 2px solid var(--text);
    color: var(--text);
    border-radius: 3px;
}

.report-submit:hover {
    color: black;
    cursor: pointer;
    background-color: var(--text);
    box-shadow: 0 0 10px var(--text);
}

.report-close-btn {
    height: 1.5rem;
    width: 1.5rem;
    background-color: transparent;
    border: none;
}

.report-close-btn:hover {
    opacity: 70%;
    cursor: pointer;
}

.report-close-btn-img {
    height: 100%;
    width: 100%;
}

.report-title {
    color: var(--text);
    font-size: 1rem;
}

.report-reason-items {
    display: flex;
    flex-direction: row;
    gap: 0 10px;
}



.report-img {
    height: 1.5rem;
    width: 1.5rem;
}

.report-btn {
    display: flex;
    flex-direction: row;
    height: 1.5rem;
    width: 1.5rem;
    background-color: transparent;
    border: none;
}

.report-btn:hover,
.info-btn:hover {
    cursor: pointer;
    opacity: 70%;
}

@media screen and (max-width: 750px) {










    .body {
        --profile-size: 10rem;

    }

    .profile-edit {

        height: calc(var(--profile-size) - 17%);
        width: calc(var(--profile-size) - 11%);
    }





  
  

    

    .user-name {
        font-size: 1.5rem;

    }





    .user-info {
        width: 55%;
        
    }
    .user-details{
        height: 60%;
    }

    .logout {
        height: 2.5rem;
        width: 2.5rem;
    }


    .user {
        padding: 0 0.8rem;
        width: 100%;
        gap: 0.5rem;
    }
}

.hidden {
    visibility: hidden;
    user-select: none;

}